glab(1)

NAME
glab-repo-delete - Delete an existing project on GitLab.

SYNOPSIS
glab repo delete [/] [flags]

DESCRIPTION
Delete an existing project on GitLab.

This permanently deletes the entire project, including:

•   The Git repository.

•   Issues and merge requests.

•   Wiki pages.

•   CI/CD pipelines and job artifacts.

•   Other project content and settings.

This action cannot be undone.

OPTIONS
-y, --yes[=false]
    Skip the confirmation prompt and immediately delete the project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Delete a personal project.
    glab repo delete dotfiles
    # Delete a project in a GitLab group, or another project
    # you have write access to:
    glab repo delete mygroup/dotfiles
    glab repo delete myorg/mynamespace/dotfiles

SEE ALSO
glab-repo(1)